#pragma once
#include "Mod.h"

class HurtColor : public Mod {
public:
	bool nocolor = false;
	bool interfaceColor = false;
	float r = 1.f, g = 1.f, b = 1.f;

	HurtColor() : Mod(_("Hurt Color"), _("Change the damage color."), Category::RENDER) {
		settings.push_back(new Setting{ _("No Color"), &nocolor, 0, 0, 0, {}, true });
		
		settings.push_back(new Setting{ _("Interface Color"), &interfaceColor, 0, 0, 0, {}, true });
		
		settings.push_back(new Setting{ _("Red"), &r, new float(1.f), new float(0.f), 2, {}, true});
		settings.push_back(new Setting{ _("Green"), &g, new float(1.f), new float(0.f), 2, {}, true });
		settings.push_back(new Setting{ _("Blue"), &b, new float(1.f), new float(0.f), 2, {}, true });
		
		enabled = false;
	}

private:
	virtual auto onGetActorOverlayColor(ImColor* color) -> void override;
	virtual auto onClient() -> void override;
};
